Subject: bug#22344: 25.0.50 (and 24.5.1, 24.4); Sending 4097 bytes to a subprocess hangs Emacs on Windows 8 and 10

From: Eli Zaretskii <[email-masked]>
Date: Tue, 12 Jan 2016 18:44:33 +0200

> Cc: [email-masked]
> From: Clément Pit--Claudel <[email-masked]>
> Date: Mon, 11 Jan 2016 14:41:20 -0500
> 
> > Could it be that the script exits as soon as it processed the first 4K
> > chunk, without waiting for the next one, or without waiting long
> > enough?
> 
> I'm not sure if I understand correctly. In the working case (sending small batches) the underlying script does receive everything Emacs sends. In fact, the blackhole example shown above never exits; it keeps reading on stdin and echoing on stdout.
> 
> With a more complex setup, Emacs hangs when we send the whole buffer, but when sending it in small chunks the underlying process returns the expected results.

I tried to solve this in commit 58a622d on the emacs-25 branch.
Please try the latest and see if your problem is solved by those
changes.

Thanks.